xoops forums

Mamba

Moderator
Posted on: 2008/8/5 10:42
Mamba
Mamba (Show more)
Moderator
Posts: 10797
Since: 2004/4/23
#1

Modules NOT working with XOOPS 2.3

Please submit names of modules tested and NOT working with XOOPS 2.3 RC

Please provide your PHP, Apache, and mySQL version, and the version of the module.

Please also describe the process leading to the error, and the error itself.
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

sabaM

Just popping in
Posted on: 2008/8/5 16:42
sabaM
sabaM (Show more)
Just popping in
Posts: 58
Since: 2007/11/4
#2

Re: Modules NOT working with XOOPS 2.3

XOOPS Version - XOOPS 2.3.0 RC
PHP Version - 5.2.6
MySQL Version - 4.1.22-standard
OS Version - Linux

I have upgraded XOOPS 2.0.18.1 to XOOPS 2.3. rc and next modules not 100% works:
-yogurt social network 3.2 rc-blank page /modules/yogurt/index.php?uid=1 and all uid process ist blank, other fuctions is in work.
-newbb 3.8-blank page
-dh info 2.1 -blank page
Debug displays 112 errors, all errors are self:
Warning: MyTextSanitizer::makeTboxData4Show is deprecated in file /class/module.textsanitizer.php line 575
Warning: MyTextSanitizer::makeTboxData4Show is deprecated in file /class/module.textsanitizer.php line 575
...
Prevod xoops core i modula na bosanski
Posjetite joŇ° i ostale moje webstranice : | http://g-orahovica.com | http://beha-raja.net

ChrisRay

Just popping in
Posted on: 2008/8/5 17:36
ChrisRay
ChrisRay (Show more)
Just popping in
Posts: 4
Since: 2008/8/1 1
#3

Re: Modules NOT working with XOOPS 2.3

Site Statistics v0.45 by IBDeeming.
Loads fine but Admin>PHPCredits goes wrong. Seems to get all the font sizes wrong and gives a window in the top left corner.
Have not tested the stats gathering, just the install.

XOOPS Version - XOOPS 2.3.0 RC
PHP Version - 5.2.6
MySQL Version - 5.0.26
Server API Version - apache2handler
OS Version - Linux OpenSuse10.2

voltan

Theme Designer
Posted on: 2008/8/5 19:47
voltan
voltan (Show more)
Theme Designer
Posts: 724
Since: 2006/12/5
#4

Re: Modules NOT working with XOOPS 2.3

altsys (0.58) have error
This page cannot be displayed due to an internal error.

You can provide the following information to the administrators of this site to help them solve the problem:

Error: Class XoopsBlockinstanceHandler does not exist
Handler Name
blockinstance
Backtrace
:
/include/
functions.php (446)
D:/xampp/xampp/htdocs/xoops_trust_path/libs/altsys/include/MyBlocksAdminForXoops22.class.php (77)
D:/xampp/xampp/htdocs/xoops_trust_path/libs/altsys/myblocksadmin.php (168)
D:/xampp/xampp/htdocs/xoops_trust_path/libs/altsys/index.php (39)
/
modules/altsys/admin/index.php (11)

i test it to windows xp and ubuntu 8.04
php : 5.2
my sql: 5
apache 2.2
xoops 2.3 rc and beta 1 & 2 & 3

Nick_James

Friend of XOOPS
Posted on: 2008/8/6 23:37
Nick_James
Nick_James (Show more)
Friend of XOOPS
Posts: 359
Since: 2006/10/14
#5

Re: Modules NOT working with XOOPS 2.3

Error occurs when going to forum

Newbb 3.08

Fatal error: Cannot redeclare xoops_local()
(previously declared in */html/Frameworks/art/functions.locale.php:20)
in
*/html/include/xoopslocal.php on line 46

XOOPS Version - XOOPS 2.3.0 RC
PHP Version - 5.2.5
MySQL Version - 4.0.27-max-log
Server API Version - cgi-fcgi
OS Version - Linux

safe_mode - Off
register_globals - Off
magic_quotes_gpc - On
allow_url_fopen - On
fsockopen - On
allow_call_time_pass_reference - Off
post_max_size - 8M
max_input_time - 60
output_buffering -
max_execution_time - 30
memory_limit - 64M
file_uploads - On
upload_max_filesize - 8M
Nicholas James
President - LaDads
www.ladads.info

Nick_James

Friend of XOOPS
Posted on: 2008/8/7 2:52
Nick_James
Nick_James (Show more)
Friend of XOOPS
Posts: 359
Since: 2006/10/14
#6

Re: Modules NOT working with XOOPS 2.3

Okay.

With respect to the Newbb 3.08 error of a double declaration.

I commented out the line in the /html/Frameworks/art/functions.locale.php:20

Quote:
if (!defined("FRAMEWORKS_ART_FUNCTIONS_LOCALE")):
define("FRAMEWORKS_ART_FUNCTIONS_LOCALE", true);

[red]/*xoops_load("XoopsLocal"); take out this line temporarily*/[/red]

endif;


That removed the fatal error and the forum is working now.

I assumed that the Frameworks
file is the older version and that necessary code line had been pulled into /html/include/xoopslocal.php

There are still plenty of warning errors coming from the text sanitizer.
Nicholas James
President - LaDads
www.ladads.info

Nick_James

Friend of XOOPS
Posted on: 2008/8/7 3:00
Nick_James
Nick_James (Show more)
Friend of XOOPS
Posts: 359
Since: 2006/10/14
#7

Re: Modules NOT working with XOOPS 2.3

Hmmm, now what is causing all of these warnings?
Nicholas James
President - LaDads
www.ladads.info

Nick_James

Friend of XOOPS
Posted on: 2008/8/7 3:09
Nick_James
Nick_James (Show more)
Friend of XOOPS
Posts: 359
Since: 2006/10/14
#8

Re: Modules NOT working with XOOPS 2.3

After reinstalling the one custom line, "XOOP-Stats v0.60 for XOOPS 2" is working again!

The vlWeather program didn't miss a beat.
Nicholas James
President - LaDads
www.ladads.info

Speed

Quite a regular
Posted on: 2008/8/7 5:02
Speed
Speed (Show more)
Quite a regular
Posts: 310
Since: 2004/5/18
#9

Re: Modules NOT working with XOOPS 2.3

I am having NO PROBLEMS with CBB 3.08 (I presume this is what you mean by NewBB 3.08) posting, reading or viewing in blocks. I am using the CBB and frameworks available in the module pack that you can optionally download with the RC.

I do get one error but it doesn't seem to affect anything (yet):
Notice: Deprecated function 'mod_getIP', user XoopsUserUtility directly. in file /Frameworks/art/functions.user.php line 20
...

Nick_James

Friend of XOOPS
Posted on: 2008/8/7 16:07
Nick_James
Nick_James (Show more)
Friend of XOOPS
Posts: 359
Since: 2006/10/14
#10

Re: Modules NOT working with XOOPS 2.3

Sorry, you are correct. It is CBB 3.08. In the modules file it shows as Newbb.

Just like you, I used the CBB and Frameworks package from the optional download. So it should be the latest version of Frameworks.

I spoke to soon about it working. I had a SQL database problems so it wasn't posting. I manually fixed the database to match the SQL file and the posting error went away.

I wonder what other bugs I slipped in.
Nicholas James
President - LaDads
www.ladads.info